require "import"
import "android.widget.*"
import "com.androlua.*"
import "android.content.Context"
import "android.media.MediaPlayer"

-- Obtener la ruta completa de la carpeta "efectos de El plugin DJ"
local effectsDir = "/storage/emulated/0/efectos de El plugin DJ"

-- Verificar si la carpeta existe
local file = luajava.bindClass("java.io.File")
local effectsFolder = file(effectsDir)
if not effectsFolder.exists() then
  -- La carpeta no existe, mostrar un mensaje de error
  pcall(function()
    Toast.makeText(service, "La carpeta de efectos no se encontró", Toast.LENGTH_SHORT).show()
  end)
else
  -- La carpeta existe, mostrar un mensaje de éxito
  pcall(function()
    Toast.makeText(service, "La carpeta de efectos se encontró", Toast.LENGTH_SHORT).show()
  end)
end

-- Lista de nombres de botones y nombres de archivos MP3
local buttonNames = {
  "Enciende la fiesta DJ",
  "Efecto de DJ 1",
  "Efecto de DJ 2",
  "Efecto de DJ 3",
  "Efecto de DJ 4",
  "Efecto de DJ 5",
  "Efecto de DJ 6",
  "Efecto de DJ 7",
  "Efecto de DJ 8",
  "Efecto de DJ 9",
  "Efecto de DJ 10",
  "Efecto de DJ 11",
  "Efecto de DJ 12",
  "Efecto de DJ 13",
  "Efecto de DJ 14",
  "Efecto de DJ 15",
  "Efecto de DJ 16",
  "Efecto de DJ 17"
}

local mp = MediaPlayer()

-- Crear el diseño de la cuadrícula de botones
local layout = {
  GridView,
  id = "grid",
  numColumns = 1,
  layout_width = "fill",
  layout_height = "fill"
}

-- Crear el diálogo
local dlg = LuaDialog(service)
dlg.View = loadlayout(layout)

-- Crear el adaptador de botones
local buttonAdapter = SingleLineAdapter(service, String(buttonNames))
grid.adapter = buttonAdapter

-- Configurar el botón "Cancelar"
dlg.setButton("Cancelar", nil)

-- Mostrar el diálogo
dlg.show()

-- Manejador de eventos para el clic en los botones
grid.onItemClick = function(l, v, position, id)
  local buttonName = buttonNames[position + 1]
  local fileName = buttonName .. ".mp3"
  local filePath = effectsDir .. "/" .. fileName
  
  -- Verificar si el archivo MP3 existe
  local mp3File = file(filePath)
  if not mp3File.exists() then
    -- El archivo no existe, mostrar un mensaje de error
    pcall(function()
      Toast.makeText(service, "El archivo de sonido no se encontró", Toast.LENGTH_SHORT).show()
    end)
  else
    -- El archivo existe, reproducir el sonido
    mp.reset()
    mp.setDataSource(filePath)
    mp.prepare()
    mp.start()
  end
end